## linuxtv-dvb-apps 1.1.1+rev1500

=== Makefile ===
# Makefile for linuxtv.org dvb-apps

# get DVB API version
VERSION_FILE := "/usr/include/linux/dvb/version.h"

DVB_API_MAJOR := $(word 3, $(shell grep -m1 "DVB_API_VERSION" $(VERSION_FILE)) )
DVB_API_MINOR := $(word 3, $(shell grep -m1 "DVB_API_VERSION_MINOR" $(VERSION_FILE)) )

.PHONY: all clean install update

all clean install:
	$(MAKE) -C lib $@
	$(MAKE) -C test $@
	$(MAKE) -C util $@

update:
	@echo "Pulling changes & updating from master repository"
	hg pull -u

=== lib/Makefile ===
# Makefile for linuxtv.org dvb-apps/lib

.PHONY: all clean install

all clean install:
	$(MAKE) -C libdvbapi $@
	$(MAKE) -C libdvbcfg $@
	$(MAKE) -C libdvben50221 $@
	$(MAKE) -C libdvbsec $@
	$(MAKE) -C libesg $@
	$(MAKE) -C libucsi $@

=== test/Makefile ===
# Makefile for linuxtv.org dvb-apps/test

objects  = hex_dump.o lnb.o

binaries = diseqc          \
           sendburst       \
           set22k          \
           setpid          \
           setvoltage      \
           test_av         \
           test_av_play    \
           test_dvr        \
           test_tapdmx     \
           test_dvr_play   \
           test_pes        \
           test_sec_ne     \
           test_sections   \
           test_stc        \
           test_stillimage \
           test_tt         \
           test_vevent     \
           test_video      \
	   evtest	   \
	   szap2           \
	   lock_s

.PHONY: all

all: $(binaries)
	make -C libdvbcfg $@
	make -C libdvben50221 $@
	make -C libesg $@
	make -C libucsi $@

$(binaries): $(objects)

clean::
	make -C libdvbcfg $@
	make -C libdvben50221 $@
	make -C libesg $@
	make -C libucsi $@

include ../Make.rules

=== lib/libdvbapi/Makefile ===
# Makefile for linuxtv.org dvb-apps/lib/libdvbapi

includes = dvbaudio.h \
           dvbca.h    \
           dvbdemux.h \
           dvbfe.h    \
           dvbnet.h   \
           dvbvideo.h

objects  = dvbaudio.o \
           dvbca.o    \
           dvbdemux.o \
           dvbfe.o    \
           dvbnet.o   \
           dvbvideo.o

lib_name = libdvbapi

CPPFLAGS += -I../../lib

.PHONY: all

all: library

include ../../Make.rules

=== lib/libdvbcfg/Makefile ===
# Makefile for linuxtv.org dvb-apps/lib/libdvbcfg

includes = dvbcfg_zapchannel.h \
	   dvbcfg_scanfile.h

objects  = dvbcfg_zapchannel.o \
	   dvbcfg_scanfile.o \
	   dvbcfg_common.o

lib_name = libdvbcfg

CPPFLAGS += -I../../lib

.PHONY: all

all: library

include ../../Make.rules

=== lib/libdvbsec/Makefile ===
# Makefile for linuxtv.org dvb-apps/lib/libdvbsec

includes = dvbsec_api.h        \
           dvbsec_cfg.h

objects  = dvbsec_api.o        \
           dvbsec_cfg.o

lib_name = libdvbsec

CPPFLAGS += -I../../lib

.PHONY: all

all: library

include ../../Make.rules

=== test/libdvben50221/Makefile ===
# Makefile for linuxtv.org dvb-apps/test/libdvben50221

binaries = test-app       \
           test-session   \
           test-transport

CPPFLAGS += -I../../lib
LDLIBS   += ../../lib/libdvbapi/libdvbapi.a ../../lib/libdvben50221/libdvben50221.a ../../lib/libucsi/libucsi.a -lpthread

.PHONY: all

all: $(binaries)

include ../../Make.rules

=== test/libdvbsec/Makefile ===
# Makefile for linuxtv.org dvb-apps/test/libdvbsec

binaries = dvbsec_test

CPPFLAGS += -I../../lib
LDLIBS   += ../../lib/libdvbsec/libdvbsec.a

.PHONY: all

all: $(binaries)

include ../../Make.rules

=== test/libesg/Makefile ===
# Makefile for linuxtv.org dvb-apps/test/libucsi

binaries = testesg

CPPFLAGS += -I../../lib
LDLIBS   += ../../lib/libesg/libesg.a

.PHONY: all

all: $(binaries)

include ../../Make.rules

=== test/libucsi/Makefile ===
# Makefile for linuxtv.org dvb-apps/test/libucsi

binaries = testucsi

CPPFLAGS += -I../../lib
LDLIBS   += ../../lib/libdvbapi/libdvbapi.a ../../lib/libdvbcfg/libdvbcfg.a \
	    ../../lib/libdvbsec/libdvbsec.a  ../../lib/libucsi/libucsi.a

.PHONY: all

all: $(binaries)

include ../../Make.rules

=== util/alevt/Makefile ===
VER=1.7.0
OPT=-O -g -w
DEFS=-DWITH_PNG
DEFS+=-DUSE_LIBZVBI
FONT=vtxt
MAN_DIR=man
DESTDIR=
PREFIX=/usr
HOSTCC=$(CC)
CFLAGS=$(OPT) -DVERSION=\"$(VER)\" $(DEFS) -I$(USR_X11R6)/include
EXPOBJS=export.o exp-txt.o exp-html.o exp-gfx.o font.o
OBJS=main.o ui.o xio.o fdset.o vbi.o cache.o help.o search.o misc.o hamm.o lang.o $(EXPOBJS)
TOBJS=alevt-date.o vbi.o fdset.o misc.o hamm.o lang.o
COBJS=alevt-cap.o vbi.o fdset.o misc.o hamm.o lang.o $(EXPOBJS)

ifneq ($(findstring WITH_PNG,$(DEFS)),)
EXPLIBS=-lpng -lz -lm
endif

ifneq ($(findstring USE_LIBZVBI,$(DEFS)),)
ZVBILIB=-lzvbi -lpthread
EXPLIBS+=$(ZVBILIB)
endif

all: alevt alevt-date alevt-cap alevt.1 alevt-date.1 alevt-cap.1

alevt: $(OBJS)
	$(CC) $(OPT) $(OBJS) -o alevt -L$(PREFIX)/lib -L$(PREFIX)/lib64 -lX11 $(EXPLIBS)

alevt-date: $(TOBJS)
	$(CC) $(OPT) $(TOBJS) -o alevt-date $(ZVBILIB)

alevt-cap: $(COBJS)
	$(CC) $(OPT) $(COBJS) -o alevt-cap $(EXPLIBS)

font.o: font1.xbm font2.xbm font3.xbm font4.xbm
fontsize.h: font1.xbm font2.xbm font3.xbm font4.xbm
	fgrep -h "#define" font1.xbm font2.xbm font3.xbm font4.xbm >fontsize.h

font1.xbm: bdf2xbm $(FONT)-latin-1.bdf
	./bdf2xbm font1 <$(FONT)-latin-1.bdf >font1.xbm

font2.xbm: bdf2xbm $(FONT)-latin-2.bdf
	./bdf2xbm font2 <$(FONT)-latin-2.bdf >font2.xbm

font3.xbm: bdf2xbm vtxt-koi8.bdf
	./bdf2xbm font3 <vtxt-koi8.bdf >font3.xbm

font4.xbm: bdf2xbm vtxt-iso8859-7.bdf
	./bdf2xbm font4 <vtxt-iso8859-7.bdf >font4.xbm

bdf2xbm: bdf2xbm.c
	$(HOSTCC) bdf2xbm.c -o bdf2xbm

clean:
	rm -f *.o page*.txt a.out core bdf2xbm font?.xbm fontsize.h
	rm -f alevt alevt-date alevt-cap

rpm-install: all
	install -m 0755 alevt        ${RPM_BUILD_ROOT}$(USR_X11R6)/bin
	install -m 0755 alevt-date   ${RPM_BUILD_ROOT}$(USR_X11R6)/bin
	install -m 0755 alevt-cap    ${RPM_BUILD_ROOT}$(USR_X11R6)/bin
	install -m 0644 alevt.1      ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
	install -m 0644 alevt-date.1 ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
	install -m 0644 alevt-cap.1  ${RPM_BUILD_ROOT}$(USR_X11R6)/$(MAN)/man1
	install -d 0755 $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps
	install -m 0644 alevt.png $(RPM_BUILD_ROOT)$(USR_X11R6)/include/X11/pixmaps

install: all
	install -m 0755 alevt		$(DESTDIR)$(PREFIX)/bin
	install -m 0755 alevt-date	$(DESTDIR)$(PREFIX)/bin
	install -m 0755 alevt-cap	$(DESTDIR)$(PREFIX)/bin
	install -m 0644 alevt.1		$(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 alevt-date.1	$(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 alevt-cap.1	$(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 alevt.png $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 0644 alevt.desktop $(DESTDIR)$(PREFIX)/share/applications

uninstall: clean
	rm -f /usr/bin/alevt /usr/bin/alevt-cap /usr/bin/alevt-date \
	/usr/share/pixmaps/alevt.png /usr/share/applications/alevt.desktop \
	/usr/share/man/man1/alevt.1 /usr/share/man/man1/alevt-cap.1 \
	/usr/share/man/man1/alevt-date.1

depend:
	makedepend -Y -- $(CFLAGS_none) -- *.c 2>/dev/null

tar-html: alevt.1 alevt-date.1 alevt-cap.1
	for i in alevt.1 alevt-date.1 alevt-cap.1 ; do \
	    j=`basename $$i .1` ; \
	    j=`basename $$j .1x` ; \
	    nroff -man $$i | { \
		echo "<HTML><HEAD><TITLE>AleVT</TITLE></HEAD><BODY>" ; \
		man2html -bare -uelem U -nodepage ; \
		echo "</B0DY></HTML>" ; \
	    } | sed -e "s,</B> <B>, ,g" -e "s,</U> <U>, ,g" >~/exit/alevt/$$j.html ;\
	done

tar: tar-html clean
	sed s/VERSION/$(VER)/g <alevt.lsm.in >~/exit/alevt/alevt-$(VER).lsm
	sed s/VERSION/$(VER)/g <alevt.spec.in >alevt.spec
	cd .. ;\
	    ln -s alevt alevt-$(VER) ;\
	    tar vcfz ~/exit/alevt/alevt-$(VER).tar.gz alevt-$(VER)/* ;\
	    rm alevt-$(VER)
	cat <CHANGELOG >~/exit/alevt/changes

# DO NOT DELETE

alevt-cap.o: vt.h misc.h fdset.h dllist.h vbi.h cache.h lang.h export.h
alevt-date.o: os.h vt.h misc.h fdset.h dllist.h vbi.h cache.h lang.h
cache.o: misc.h dllist.h cache.h vt.h help.h
exp-gfx.o: lang.h misc.h vt.h export.h font.h fontsize.h
exp-html.o: lang.h misc.h vt.h export.h
exp-txt.o: os.h export.h vt.h misc.h
export.o: vt.h misc.h export.h
fdset.o: dllist.h misc.h fdset.h
font.o: font1.xbm font2.xbm font3.xbm font4.xbm
hamm.o: vt.h misc.h hamm.h
help.o: vt.h misc.h vt900.out vt901.out vt902.out vt903.out vt904.out vt905.out
help.o: vt906.out vt907.out vt908.out vt909.out vt910.out vt911.out vt912.out
lang.o: misc.h vt.h lang.h
main.o: vt.h misc.h fdset.h dllist.h xio.h vbi.h cache.h lang.h ui.h
main.o: search.h
misc.o: misc.h
search.o: vt.h misc.h cache.h dllist.h search.h
ui.o: vt.h misc.h xio.h dllist.h vbi.h cache.h lang.h fdset.h
ui.o: search.h export.h ui.h
vbi.o: os.h vt.h misc.h vbi.h dllist.h cache.h lang.h fdset.h hamm.h
xio.o: vt.h misc.h dllist.h xio.h fdset.h lang.h icon.xbm font.h fontsize.h

=== util/atsc_epg/Makefile ===
# Makefile for linuxtv.org dvb-apps/util/atsc_epg

binaries = atsc_epg

inst_bin = $(binaries)

CPPFLAGS += -I../../lib -std=c99 -D_POSIX_SOURCE
#LDFLAGS  += -static -L../../lib/libdvbapi -L../../lib/libucsi
LDFLAGS  += -L../../lib/libdvbapi -L../../lib/libucsi
LDLIBS   += -ldvbapi -lucsi

.PHONY: all

all: $(binaries)

include ../../Make.rules

=== debian/changelog ===
linuxtv-dvb-apps (1.1.1+rev1500-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097301)
  * Fix atsc_epg on architectures with unsigned char,
    thanks to John Scott. (Closes: #1102029)

 -- Adrian Bunk <bunk@debian.org>  Thu, 09 Oct 2025 17:05:28 +0300

linuxtv-dvb-apps (1.1.1+rev1500-2) unstable; urgency=low

  * Team upload.

  [ Jonathan McCrohan ]
  * d/patches/: Drop uk-CrystalPalace.diff; superseded by
    dtv-scan-tables_0+git20130920.f61d5ec-1
  * d/: Drop dvb-apps.bug-presubj; scan table bug reports should be reported
    against dtv-scan-tables package instead
  * d/watch: linuxtv-dvb-apps has been moved into the legacy section of the
    linuxtv.org downloads page; update watch file accordingly

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix Vcs fields
  * Fix gcc-14 build issue
    Closes: #1075227
  * Move libraries to multiarch dir
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * watch file standard 4 (routine-update)
  * d/copyright: DEP5 + review
  * Add debian/TODO with potential new upstream source
  * Secure URI in watch file
  * Fix alevt icon in menus
    Closes: #928331

  [ Bernhard Übelacker ]
  * Fix azap crash because of a strlen(0)
    Closes: #715667
  * Fix czap crash because of a strlen(0)
    Closes: #715773
  * Fix tzap crash because of a strlen(0)
    Closes: #716413

  [ Andrew Siplas ]
  * Storing address inside int leads to segfault on 64-bit machine
    Closes: #779520

  [ Frank Heckenbach ]
  * Fix program table overflow
    Closes: #826072
  * Adapt font size in alevt to modern screen sizes
    Closes: #926702

 -- Andreas Tille <tille@debian.org>  Tue, 04 Feb 2025 16:37:29 +0100

linuxtv-dvb-apps (1.1.1+rev1500-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Work around UAPI break in Linux input events (Closes: #1066822).
  * Set Architecture to linux-any (Closes: #961967).

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 May 2024 16:49:59 +0100

linuxtv-dvb-apps (1.1.1+rev1500-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch to fix build with gcc 10, caused by multiple definition of the
    'sid' global variable. (Closes: #957492).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Jul 2020 20:42:38 +0200

linuxtv-dvb-apps (1.1.1+rev1500-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch to replace the obsolete stime function (removed in glibc 2.31)
    by clock_settime. (Closes: #964223)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Jul 2020 19:11:31 +0200

linuxtv-dvb-apps (1.1.1+rev1500-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove "dst_test -p", the functionality was never actually
    implemented in the kernel and now caused a FTBFS. (Closes: #884039)

 -- Adrian Bunk <bunk@debian.org>  Tue, 23 Jan 2018 19:52:14 +0200

linuxtv-dvb-apps (1.1.1+rev1500-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/fix-build-libpng16.patch: fix build with
    libpng16 (Closes: #742566)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Apr 2016 18:12:02 +0200

linuxtv-dvb-apps (1.1.1+rev1500-1) unstable; urgency=low

  [ Jonathan McCrohan ]
  * New upstream release
  * d/control: Add myself to Uploaders
  * d/control: Drop obsolete DM-Upload-Allowed
  * d/control: Update Vcs tags to reflect move SVN to Git (Closes: #702868)
  * d/patches/: Add 02_dtv-scan-tables.patch to remove scan tables from
    dvb-apps package (Closes: #722661)
  * d/control: Add depends on dtv-scan-tables which now provides the initial
    scan files previously provided by dvb-apps

  [ Tobias Grimm ]
  * d/control: Build-depend on linux-libc-dev (>= 3.3) because the DVB API 5.5
    is required
  * d/control: Standards-Version: 3.9.4
  * Use debhelper 9 to make the hardening options from dpkg-buildflags being
    used
  * Add a manpage for lsdvb

 -- Tobias Grimm <etobi@debian.org>  Sun, 22 Sep 2013 21:43:41 +0200

=== debian/control ===
Source: linuxtv-dvb-apps
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Tobias Grimm <etobi@debian.org>,
           Jonathan McCrohan <jmccrohan@gmail.com>
Section: video
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libzvbi-dev,
               linux-libc-dev,
               imagemagick | graphicsmagick
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/vdr-team/linuxtv-dvb-apps
Vcs-Git: https://salsa.debian.org/vdr-team/linuxtv-dvb-apps.git
Homepage: http://www.linuxtv.org/wiki/index.php/LinuxTV_dvb-apps

Package: dvb-apps
Architecture: linux-any
Depends: ${shlibs:Depends},
         makedev | udev,
         dtv-scan-tables,
         ${misc:Depends}
Conflicts: libxbase2.0-bin,
           libxdb-dev,
           alevt
Provides: alevt
Replaces: dvb-utils
Description: Digital Video Broadcasting (DVB) applications
 Applications and utilities geared towards the initial setup, testing
 and operation of an DVB device supporting the DVB-S, DVB-C, DVB-T,
 and ATSC standards.
 .
 Main User Applications:
  . scan               - Scan for channels on your digital TV device
  . dvbscan            - Another frequency scanning tool
  . czap, szap, tzap   - Tuning utilities for DVB-C, DVB-S, DVB-T
  . azap               - Tuning utility for ATSC
  . gnutv              - Tune, watch and stream your TV
 .
 General Utilities:
  . dvbdate    - Set your clock from digital TV
  . dvbnet     - Control digital data network interfaces
  . dvbtraffic - Monitor traffic on a digital device
  . femon      - Monitor the tuning on a digital TV device
  . zap        - *Just* tunes a digital device
  . atsc_epg   - Display ATSC Electronic Program Guide (next programs)
  . alevt      - Teletext browser
 .
 Hardware Specific Utilities:
  . util/av7110_loadkeys    - Load remote keys into an av7110 based card
  . util/dib3000-watch      - Monitor DIB3000 demodulators
  . util/dst-utils          - Utilities for DST based cards
  . util/ttusb_dec_reset    - Reset a TechnoTrends TTUSB DEC device
 .
 Libraries:
  . lib/libdvbapi   - Interface library to digital TV devices
  . lib/libdvbcfg   - Library to parse/create digital TV channel
  . lib/libdvbsec   - Library for Satellite Equipment Control operations
  . lib/libucsi     - Fast MPEG2 Transport Stream SI table parsing library
  . lib/libdvben50221- Implementation of a Cenelec EN 50221 CAM stack
  . lib/libdvbmisc  - Miscellaneous utilities used by the other libraries

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	chmod +x util/scan/atsc_psip_section.pl
	PERL5LIB=$(CURDIR)/util/scan:$${PERL5LIB} dh_auto_build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	cd test && $(MAKE) clean
endif

override_dh_install:
	dh_install
	mkdir -p debian/`dh_listpackages`/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/`dh_listpackages`/usr/lib/*.a debian/`dh_listpackages`/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/`dh_listpackages`/usr/lib/*.so debian/`dh_listpackages`/usr/lib/$(DEB_HOST_MULTIARCH)
	convert debian/`dh_listpackages`/usr/share/pixmaps/alevt.xbm debian/`dh_listpackages`/usr/share/pixmaps/alevt.png
	rm debian/`dh_listpackages`/usr/share/pixmaps/alevt.xbm

override_dh_installdocs:
	dh_installdocs
	# install READMEs into doc/dvb-apps
	cp -a util/av7110_loadkeys/README debian/dvb-apps/usr/share/doc/dvb-apps/README.av7110_loadkeys
	cp -a util/scan/README debian/dvb-apps/usr/share/doc/dvb-apps/README.scan
	cp -a util/szap/README debian/dvb-apps/usr/share/doc/dvb-apps/README.szap
	cp -a util/ttusb_dec_reset/README debian/dvb-apps/usr/share/doc/dvb-apps/README.ttusb_dec_reset

=== debian/watch ===
version=4
https://www.linuxtv.org/downloads/legacy/ linuxtv-dvb-apps-(.*)\.tar\.bz2

# Latest HG revision available from:
# http://linuxtv.org/hg/dvb-apps
